Subject: Re: Kernel/User Memory Access and Original Sin

From: "Kevin D. Kissell" <[email-masked]>
Date: Mon, 28 Feb 2000 14:56:04 +0100

>__access_ok has one purpose. To verify the address range given is entirely
>sensible to feed to __copy_*_user. If you have to do handling the complex
>way (eg if your cpu design requires it) then __access_ok can just return 1
>and the __copy_*_user - inline or out of line - can do all the work.

Thanks.  I think I have localized the hole in the signal handling that
would have defeated these mechanisms, though another related
failure that was also solved by the sledgehammer __access_ok
remains mysterious.  I'll apply the more localized fix and repeat the 
crashme experiments...

            Kevin K.